apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    ch.novarx.ffhs.service: evaluator
  name: evaluator
spec:
  replicas: 1
  selector:
    matchLabels:
      ch.novarx.ffhs.service: evaluator
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        ch.novarx.ffhs.service: evaluator
    spec:
      containers:
        - image: registry.gitlab.com/ffhs-sterchi/bt/images/evaluator
          imagePullPolicy: Always
          name: evaluator
          ports:
            - containerPort: 5000
          volumeMounts:
            - mountPath: /app/storage
              name: bt-evaluator-config
              subPath: app
            - mountPath: /logs
              name: bt-evaluator-config
              subPath: logs
      nodeSelector:
        cloud.google.com/gke-nodepool: pool-1
      restartPolicy: Always
      volumes:
        - name: bt-evaluator-config
          # This GCE PD must already exist.
          # gcloud compute disks create --size=10GB --zone=europe-west4-a bt-evaluator-config
          gcePersistentDisk:
            pdName: bt-evaluator-config
            fsType: ext4

---
apiVersion: v1
kind: Service
metadata:
  labels:
    ch.novarx.ffhs.service: evaluator
  name: evaluator
spec:
  ports:
    - name: "5000"
      port: 5000
      targetPort: 5000
  selector:
    ch.novarx.ffhs.service: evaluator
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    ch.novarx.ffhs.service: evaluator-loadbalancer
  name: evaluator-loadbalancer
spec:
  replicas: 1
  selector:
    matchLabels:
      ch.novarx.ffhs.service: evaluator-loadbalancer
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        ch.novarx.ffhs.service: evaluator-loadbalancer
    spec:
      containers:
        - image: registry.gitlab.com/ffhs-sterchi/bt/images/proxy
          name: evaluator-loadbalancer
          ports:
            - containerPort: 80
          envFrom:
            - configMapRef:
                name: proxy-config
          env:
            - name: FORWARD_HOST
              value: "evaluator"
            - name: FORWARD_PORT
              value: "5000"
---
apiVersion: v1
kind: Service
metadata:
  labels:
    ch.novarx.ffhs.service: evaluator-loadbalancer
  name: evaluator-loadbalancer
spec:
  ports:
    - name: "80"
      port: 80
      targetPort: 80
  selector:
    ch.novarx.ffhs.service: evaluator-loadbalancer
